package _06_for高级练习;

import java.util.Scanner;

public class Test2 {
    public static void main(String[] args) {
        /**
         * 需求：
         * ​键盘录入一个正整数 x ，判断该整数是否为一个质数。
         *  只能被1 和他本身整除
         *
         *
         *   7     1  7
         *   8
         *   进行遍历for(int i = 2; i< 8; i++){
         *       如果在遍历过程中输入的数字 % i == 0  不是一个指数
         *   }
         */
        Scanner scanner = new Scanner(System.in);
        System.out.println("请录入一个整数");
        int number = scanner.nextInt();

        /**
         * 布尔一个
         * flag默认值是true :  这是一个质数
         * flag如果是false : 不是一个指数
         */
        boolean flag = true;
        // 除了 1 和本身  如果能被他数整除表示这个数就 不一个指数
        for (int i = 2; i < number ; i++) {
            // 如果 number % i == 0 不是一个指数
            if(number % i == 0){
//                flag = false;
                System.out.println("是质数");
//                break;
            }else{
                System.out.println("不是一个质数");
//                break;
            }
        }
        // 判断如果flag = true 表示他不是一个指数 , 如果false 是一个指数
        if(flag){
            System.out.println("是一个质数");
        }else{
            System.out.println("不是一个指数");
        }
    }
}
